Competitor AdsList ads

List ads

One row per ad, or per card for carousel and DCO ads, newest Ad Library start date first.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/competitor-ads/ads?location_id=example_string&page_id=example_string&active=true&format=VIDEO&has_video=true&has_transcript=true&tag=offer.guarantee&epic=in_order&landing_url=example_string&domain=juvenon.com&since=2024-12-25&limit=50&cursor=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "row_id": "1747063449962897:ad",
      "ad_archive_id": "example_string",
      "creative_type": "example_string",
      "card_index": 42,
      "card_count": 10,
      "page_id": "example_string",
      "page_name": "John Doe",
      "is_active": true,
      "gone": true,
      "gone_at": "2024-12-25T10:00:00Z",
      "start_date": "2024-12-25T10:00:00Z",
      "end_date": "2024-12-25T10:00:00Z",
      "days_running": 42,
      "display_format": "example_string",
      "publisher_platforms": [
        "example_string"
      ],
      "title": "example_string",
      "body": "example_string",
      "caption": "example_string",
      "cta_text": "example_string",
      "cta_type": "example_string",
      "link_url": "example_string",
      "landing_page": {
        "url": "https://juvenon.com/pages/bf7",
        "domain": "juvenon.com",
        "path": "/pages/bf7"
      },
      "ad_url": "example_string",
      "has_video": true,
      "video_duration_s": 3.14,
      "media_status": "pending",
      "analysis_status": "pending",
      "hook": "example_string",
      "hook_start_s": 3.14,
      "hook_end_s": 3.14,
      "tags": {
        "hook_type": [
          "example_string"
        ],
        "angle": [
          "example_string"
        ],
        "offer": [
          "example_string"
        ]
      },
      "epic": {
        "all_stages_in_order": true,
        "rules_met": 42,
        "rules_total": 42
      },
      "thumbnail_url": "example_string",
      "first_seen_at": "2024-12-25T10:00:00Z",
      "last_seen_at": "2024-12-25T10:00:00Z",
      "last_seen_active_at": "2024-12-25T10:00:00Z"
    }
  ],
  "next_cursor": "example_string"
}
GET
/client/v1/competitor-ads/ads
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.
query
location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

query
page_idstring

Numeric Facebook page id.

query
activeboolean

true: active and in the latest complete scrape. false: inactive or gone.

query
formatstring

Ad Library display format.

query
has_transcriptboolean

Only ads whose transcript is ready.

Options: true
query
tagstring

An analysis tag as family.tag.

query
epicstring

Only ads whose current analysis (analysis_status done) has all four E.P.I.C. stages in order.

Options: in_order
query
landing_urlstring

Only ads whose normalized landing page is this URL (tracking parameters ignored).

query
domainstring

Only ads whose landing page is on this domain (www. ignored).

query
sincestring

Ad Library start date on or after.

Format: date
query
cursorstring

next_cursor from the previous page.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

page_idstring

Numeric Facebook page id.

activeboolean

true: active and in the latest complete scrape. false: inactive or gone.

formatstring

Ad Library display format.

Example:
VIDEO
has_transcriptboolean

Only ads whose transcript is ready.

Allowed values:true
tagstring

An analysis tag as family.tag.

Example:
offer.guarantee
epicstring

Only ads whose current analysis (analysis_status done) has all four E.P.I.C. stages in order.

Allowed values:in_order
landing_urlstring

Only ads whose normalized landing page is this URL (tracking parameters ignored).

domainstring

Only ads whose landing page is on this domain (www. ignored).

Example:
juvenon.com
sincestring

Ad Library start date on or after.

cursorstring

next_cursor from the previous page.

Responses

successboolean
dataarray
next_cursorstring